import scala.collection.mutable

object ScalaDemo2 {
  def main(args: Array[String]): Unit = {
    val s1 = mutable.ArrayStack(1,2,3,4,5);
    //通过dup()方法复制栈顶元素，并打印出来
    s1.dup();
    println(s1)
    println("-"*20)
    //通过preserving()方法实现“先清空集合元素，然后恢复集合中移除的数据”
    s1.preserving(s1.clear(),println("看看执行了吗"))
    println(s1)

  }
}
